1.1
1.1
get /v1/transit-gateways/{transit_gateway_id}/routing-rules
Description
Get Transit Gateway Rule list.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | Routing Rule ID Example : | any of [string, null] | None |
| query | tgw_connection_vpc_id optional | VPC ID Connected to Transit Gateway. Example : | any of [string, null] | None |
| query | tgw_connection_vpc_name optional | VPC Name Connected to Transit Gateway. Example : | any of [string, null] | None |
| query | source_type optional | Source Type Example : | enum (VPC, TGW) | None |
| query | destination_type optional | Destination Type Example : | enum (VPC, TGW) | None |
| query | destination_cidr optional | Destination CIDR Example : | any of [string, null] | None |
| query | state optional | State Example : | enum (CREATING, ACTIVE, DELETING, DELETED, ERROR) | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | TransitGatewayRuleListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/routing-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"transit_gateway_rules": [
{
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"destination_cidr": "",
"destination_resource_id": "",
"destination_resource_name": "",
"destination_type": "VPC",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"source_resource_id": "",
"source_resource_name": "",
"source_type": "VPC",
"state": "CREATING",
"tgw_connection_vpc_id": "",
"tgw_connection_vpc_name": ""
}
]
}